<div class="box" dir="rtl">
  <div class="title">
    <div>
      <p>
        تکمیل اطلاعات مربوط به استاد
      </p>
      <p>
        <a (click)="goMainRegister()">
          <span>بازگشت</span>
          <fa-icon [icon]="faAngleLeft"></fa-icon>
        </a>
      </p>
    </div>
  </div>

  <div class="form">
    <form [formGroup]="professorDetailForm" (ngSubmit)="sendProfessorDetail()">
      <!-- college-name -->
      <div class="college-name">
        <input
          id="collegeName"
          name="collegeName"
          formControlName="collegeName"
          type="text"
          placeholder="نام دانشکده را وارد نمایید"
          dir="rtl"
          required
          autocomplete="off"
        />
      </div>

      <!-- select -->
      <div class="select">
        <!-- academic rank -->
        <div class="academic-rank">
          <input
            type="text"
            formControlName="academicRank"
            name="academicRanks"
            class="select-input"
            placeholder="انتخاب مرتبه علمی"
            autocomplete="off"
            (ngModelChange)="filterAcademicRank()"
            required
          />
          <ul class="dropdown" id="academicRanks">
            <li
              *ngFor="let academicRank of filteredAcademicRank"
              (click)="setAcademicRankValue(academicRank)"
            >
              {{ academicRank.name }}
            </li>
          </ul>
        </div>

        <!-- education degree -->
        <div class="education-degree">
          <input
            type="text"
            formControlName="educationDegree"
            name="educationDegrees"
            class="select-input"
            placeholder="انتخاب مدرک تحصیلی"
            autocomplete="off"
            (ngModelChange)="filterEducationDegree()"
            required
          />
          <ul class="dropdown" id="educationDegrees">
            <li
              *ngFor="let degree of filteredEducationDegrees"
              (click)="setEducationDegreeValue(degree)"
            >
              {{ degree.title }}
            </li>
          </ul>
        </div>

        <!-- field -->
        <div class="field">
          <input
            type="text"
            formControlName="field"
            name="fields"
            class="select-input"
            placeholder="انتخاب رشته"
            autocomplete="off"
            (ngModelChange)="filterField()"
            required
          />
          <ul class="dropdown" id="fields">
            <li
              *ngFor="let field of filteredFields"
              (click)="setFieldValue(field)"
            >
              {{ field.name }}
            </li>
          </ul>
        </div>

        <!-- university -->
        <div class="university">
          <input
            type="text"
            formControlName="university"
            name="universities"
            class="select-input"
            placeholder="انتخاب دانشگاه"
            autocomplete="off"
            (ngModelChange)="filterUniversity()"
            required
          />
          <ul class="dropdown" id="universities">
            <li
              *ngFor="let university of filteredUniversities"
              (click)="setUniversityValue(university)"
            >
              {{ university.name }}
            </li>
          </ul>
        </div>
      </div>

      <!-- year and telegram -->
      <div class="year-telegram">
        <!-- year -->
        <div>
          <input
            type="number"
            name="birthYear"
            id="birthYear"
            formControlName="birthYear"
            placeholder="سال تولد : 1365"
            dir="ltr"
            required
            autocomplete="off"
          />
        </div>
        <!-- telegram -->
        <div>
          <input
            type="text"
            name="telegram"
            id="telegram"
            formControlName="telegram"
            placeholder="آیدی تلگرام"
            dir="ltr"
            autocomplete="off"
          />
        </div>
      </div>

      <!-- instagram-linkedid -->
      <div class="instagram-linkedin">
        <div>
          <input
            type="text"
            name="instagram"
            id="instagram"
            formControlName="instagram"
            placeholder="آیدی اینستاگرام"
            dir="ltr"
            autocomplete="off"
          />
        </div>
        <div>
          <input
            type="text"
            name="linkedin"
            id="linkedin"
            formControlName="linkedIn"
            placeholder="لینک پروفایل لینکدین"
            dir="ltr"
            autocomplete="off"
          />
        </div>
      </div>

      <!-- twitter-facebook -->
      <div class="twitter-facebook">
        <div>
          <input
            type="text"
            name="twitter"
            id="twitter"
            formControlName="twitter"
            placeholder="آیدی توییتر"
            dir="ltr"
            autocomplete="off"
          />
        </div>
        <div>
          <input
            type="text"
            name="facebook"
            id="facebook"
            formControlName="facebook"
            placeholder="آیدی فیسبوک"
            dir="ltr"
            autocomplete="off"
          />
        </div>
      </div>

      <!-- file -->
      <div class="files">
        <div class="files-box">
          <!-- resume -->
          <div class="resume">
            <div class="file-title">
              <p>رزومه :</p>
            </div>
            <div
              class="resume-box"
              onclick="document.getElementById('resume').click();"
              title="انتخاب رزومه"
            ></div>
            <input
              type="file"
              name="resume"
              id="resume"
              (change)="resumeFileProgress($event)"
              style="display: none;"
              accept="application/pdf"
            />
          </div>
          <!-- profile image -->
          <div class="profile-img">
            <div class="file-title">
              <p>پروفایل :</p>
            </div>
            <div
              class="img"
              onclick="document.getElementById('profileImage').click();"
              title="انتخاب عکس"
            >
              <img
                [src]="profilePreviewUrl"
                *ngIf="profilePreviewUrl"
                height="300"
              />
            </div>
            <input
              type="file"
              name="profileImage"
              id="profileImage"
              (change)="profileFileProgress($event)"
              style="display: none;"
              accept="image/*"
            />
          </div>
        </div>
        <p class="file-error" *ngIf="profileImagePicked && !imageSizeIsValid">
          - حجم عکس باید از 5 مگابایت کمتر باشد.
        </p>
        <p class="file-error" *ngIf="resumeFilePicked && !resumeSizeIsValid">
          - حجم فایل pdf باید از 5 مگابایت کمتر باشد.
        </p>
      </div>
      <!-- errors -->
      <div class="errors" *ngIf="professorDetailForm.invalid">
        <div
          *ngIf="
            professorDetailFormControls.collegeName.invalid &&
            professorDetailFormControls.collegeName.touched
          "
        >
          - نام دانشکده را وارد کنید.
        </div>
        <div
          *ngIf="
            professorDetailFormControls.academicRank.touched &&
            professorDetailFormControls.academicRank.invalid
          "
        >
          - مرتبه علمی را انتخاب کنید.
        </div>
        <div
          *ngIf="
            professorDetailFormControls.educationDegree.touched &&
            professorDetailFormControls.educationDegree.invalid
          "
        >
          - مدرک تحصیلی را انتخاب کنید.
        </div>
        <div
          *ngIf="
            professorDetailFormControls.field.touched &&
            professorDetailFormControls.field.invalid
          "
        >
          - رشته خود را انتخاب کنید.
        </div>
        <div
          *ngIf="
            professorDetailFormControls.university.touched &&
            professorDetailFormControls.university.invalid
          "
        >
          - دانشگاه را انتخاب کنید.
        </div>
        <div
          *ngIf="
            professorDetailFormControls.birthYear.touched &&
            professorDetailFormControls.birthYear.invalid
          "
        >
          - سال تولد خود را وارد کنید.
        </div>
      </div>

      <div class="errors" *ngIf="connectionError">
        <div>- خطا در ارتباط با سرور.</div>
      </div>

      <div class="login-btn">
        <button
          type="submit"
          [disabled]="
            !professorDetailForm.valid ||
            !profileImagePicked ||
            !resumeFilePicked
          "
        >
          <span>ارسال اطلاعات</span>
          <fa-icon [icon]="faLongArrowAltLeft"></fa-icon>
        </button>
      </div>
    </form>
  </div>
</div>
